Bug 112826 - LTC5732 - MMIO alignment error when inserting the olympic TR module.
LTC5732 - MMIO alignment error when inserting the olympic TR module.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Julie DeWandel
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-02 18:08 EST by Mike Ranweiler
Modified: 2007-11-30 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from bug 1011 (725 bytes, patch)
2004-01-02 18:10 EST, Mike Ranweiler
no flags Details | Diff

  None (edit)
Description Mike Ranweiler 2004-01-02 18:08:48 EST
Hardware Environment: iSeries 64bit Regatta

Software Environment: RHEL 3 QU1 Beta 1


Steps to Reproduce:
1. Boot a partition with native TR.
2. Remove (rmmod) the olympic module by hand
3. Reinsert (insmod) the olympic module by hand.
4. May require one or two repetitions.

Actual Results:
A kernel panic is caused:  

Expected Results:
The kernel panic should not happen.

Additional Information:
This problem was previously solved.  It is documented in bug 1011.  I
am not
sure why the fix has been lost from the kernel.  Here is an
explanation of the
change that was proposed:
-------- Begin snip from bug 1011
I made a change to the ./drivers/net/tokenring/olympic.c code to
handle the 
case where the skb does not happen to be aligned on a word boundary. 
This 
generally happens on a error path where the initial call to
olympic_open failed 
and it is doing a second try. 

The change was to replace the 3 lines of code that clear out the srb
command 
field with "memset_io(init_srb,0,SRB_COMMAND_SIZE); "

This change is checked into the 2.4.19 cvs tree. 
-------- End snip
Comment 1 Mike Ranweiler 2004-01-02 18:10:23 EST
Created attachment 96748 [details]
patch from bug 1011

------- Additional Comment #1 From Michael Ranweiler  2004-01-02 17:55 -------

patch from bug 1011

This is Al's patch from the 2.4.19 kernel - can see if it fixes...
Comment 2 IBM Bug Proxy 2004-01-05 17:36:54 EST
------ Additional Comments From jsbryant@us.ibm.com  2004-01-05 17:26 -------
Mike, I have tested this patch in a kernel and verified that the kernel no
longer panics on Regatta. 
Comment 3 IBM Bug Proxy 2004-01-05 18:02:35 EST
------ Additional Comments From mranweil@us.ibm.com  2004-01-05 17:50 -------
Julie/Mark - I don't know what you thought of that patch (was grabbed out of an
old bug we had) but it makes olympic on power4 not panic, which is probably
useful.  ;)  Any chance on the refresh of QU1? 
Comment 4 Julie DeWandel 2004-01-06 07:28:39 EST
Mike, it is unlikely that this will be taken in the U1 refresh at this
late date since it doesn't fix a data corruptor or security problem.
How big an issue is this? Do you have many customers with native token
ring doing this type of operation (rmmod and then insmod)? We would
prefer to wait until Update 2 for this fix.
Comment 5 IBM Bug Proxy 2004-01-06 11:09:22 EST
------ Additional Comments From mranweil@us.ibm.com  2004-01-06 10:53 -------
Well, it's not completely critical - it only happens after the rmmod, and on
power 4.  But it'd be nice... (it is a panic). 
Comment 6 IBM Bug Proxy 2004-01-09 16:16:46 EST
------ Additional Comments From mranweil@us.ibm.com  2004-01-09 16:05 -------
Setting target to qu2. 
Comment 7 IBM Bug Proxy 2004-01-13 11:01:58 EST
----- Additional Comments From mranweil@us.ibm.com  2004-01-13 10:53 -------
Added Jay Vosburgh to the cc - hopefully he'll have comments on the patch... 
Need to get something for this problem into mainline. 
Comment 8 IBM Bug Proxy 2004-01-19 16:43:03 EST
----- Additional Comments From mranweil@us.ibm.com  2004-01-19 16:31 -------
Jay - you have a chance to look at the patch here? 
Comment 9 IBM Bug Proxy 2004-01-25 23:02:42 EST
----- Additional Comments From khoa@us.ibm.com  2004-01-25 19:19 -------
Patch available, so move this bug into FixedAwaitingTest state.
Jay - please review the patch above.  Thanks. 
Comment 10 IBM Bug Proxy 2004-01-25 23:03:18 EST
----- Additional Comments From khoa@us.ibm.com  2004-01-25 19:20 -------
This is targeted for RHEL3 QU2. 
Comment 11 IBM Bug Proxy 2004-01-25 23:03:58 EST
----- Additional Comments From khoa@us.ibm.com  2004-01-25 19:21 -------
Jay (Bryant) already tested this patch and found it not panic anymore, so
set the state to Tested. 
Comment 12 Julie DeWandel 2004-02-05 07:14:36 EST
Fix has been submitted to our tree and will appear in Update 2.
Comment 13 IBM Bug Proxy 2004-02-09 15:38:41 EST
----- Additional Comments From mranweil@us.ibm.com  2004-02-09 15:40 -------
Jay V checked for this - it's in 2.6.2 from Jeff Garzik - thanks for pushing.

Closing bug. 
Comment 14 John Flanagan 2004-05-11 21:08:10 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.